/*  Emacs style mode select   -*- C -*- */
/* ----------------------------------------------------------------------------- */
/*  $Id:$ */
/*  Copyright (C) 1993-1996 by id Software, Inc. */
/*  This source is available for distribution and/or modification */
/*  only under the terms of the DOOM Source Code License as */
/*  published by id Software. All rights reserved. */
/*  The source is distributed in the hope that it will be useful, */
/*  but WITHOUT ANY WARRANTY; without even the implied warranty of */
/*  FITNESS FOR A PARTICULAR PURPOSE. See the DOOM Source Code License */
/*  for more details. */
/*  $Log:$ */
/*  DESCRIPTION: */
/* 	Main program, simply calls D_DoomMain high level loop. */
/*      Also handles signals */
/* ----------------------------------------------------------------------------- */

static const char
rcsid[] = "$Id: i_main.c,v 1.5 1999/06/25 18:20:31 EDT Exp $";

#include <stdlib.h>
#include <signal.h>
#include <unistd.h>

#include "doomdef.h"

#include "m_argv.h"
#include "d_main.h"
#include "i_system.h"
#include "i_sound.h"
#include "i_video.h"

void kaboom(void)
{
	I_ShutdownMusic();
	sleep(2);
	I_ShutdownSound();
	sleep(2);
	I_ShutdownGraphics();
	printf("\n\nSIGSEGV: Your fault!\n");
	exit(1);
}

int main (int argc, char** argv)
{
	myargc = argc;
	myargv = argv;

	D_DoomMain ();
	
	return 0;
}
