/* wrappers for extra functionality */

#include <unistd.h>
#include <stdio.h>
#include "doomdef.h"
#include "z_zone.h"
#include "v_video.h"
#include "w_wad.h"
#include "i_video.h"
/* STDISK */
extern int graphics_go;
extern boolean st_firsttime;
extern void V_BlitPatch (int xx, int yy, patch_t* patch );
int indisk = 0;

void floppy(int state)
{
	/* 
		Make the floppy icon apear.
	 */

	if((graphics_go == 1) && (indisk == 0)) {
	indisk = 1;
	V_BlitPatch (SCREENWIDTH-17, SCREENHEIGHT-17, W_CacheLumpName("STDISK", PU_STATIC));
	indisk = 0;
	}
}


ssize_t AJKread(int fd, void *buf, size_t count)
{
	ssize_t status;

	floppy(1);
	status = read(fd, buf, count);
	return status;
}

size_t AJKfread(void *ptr, size_t size, size_t nmemb, FILE *stream)
{
	size_t status;

        floppy(1);
	status = fread(ptr, size, nmemb, stream);
	return status;
	
}

